Jump to content
MortenH

Catalog product page gives error 500 after upgrade from 1.7.3 to 1.7.6

Recommended Posts

Hello,

I can't access the product catalog page or edit any products after upgrading from 1.7.3.1 to 1.7.6.1

It gives me two fatal php errors.

The first exception: Twig\Error\RuntimeError

in src/PrestaShopBundle/Resources/views/Admin/layout.html.twig (line 34)

    layoutHeaderToolbarBtn is defined ? layoutHeaderToolbarBtn : [],

    layoutDisplayType is defined ? layoutDisplayType : '',

    showContentHeader is defined ? showContentHeader : true,

    headerTabContent is defined ? headerTabContent : '',

    enableSidebar is defined ? enableSidebar : false,

    help_link is defined ? help_link : ''

  )

  )) %}

{% import '@PrestaShop/Admin/macros.html.twig' as ps %}

The second exception: Symfony\Component\DependencyInjection\Exception\ServiceNotFoundException

in vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Container.php (line 348)

                if ($lev <= \strlen($id) / 3 || false !== strpos($knownId, $id)) {

                    $alternatives[] = $knownId;

                }

            }

            throw new ServiceNotFoundException($id, null, null, $alternatives);

        }

    }

    /**

     * Returns true if the given service has actually been initialized.

 

I've tried disabling all modules one at a time and that did not help.

My php version is 7.1 and i've tried running 7.0 and 7.2 and it gives the same error.

I used the 1 click upgrade module to upgrade, it was upgraded to the latest version before i used it.

I have also updated the prestashop warehouse theme to the latest version according to the documentation, no issue with theme modules or the theme itself it seems.

I've gone through file permissions and made sure every folder in /modules and /themes has at least 755. 

I could do a full restore through cpanel, but i would like to try to avoid this, as i have had a few orders since the issue began 2 days ago.

Share this post


Link to post
Share on other sites

Please note that the fix in this thread 

did not work for me. I have tried to disable all modules one at a time to make it work.

Share this post


Link to post
Share on other sites

Turns out, that the related products module was not updated. It's a module bought on the Marketplace. I checked the compatibility and it said it was compatible with 1.7.6.1, so for that reason, combined with my backoffice telling me i had 0 available updates and that the module was up to date, i assumed it was all good.

But apparently, modules bought on the marketplace, don't have their updates show up in prestashop. 

I fixed the issue, by uninstalling the related products module and downloading the newest one 1.6.4 instead of 1.6.3 from the prestashop marketplace.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More